T4TS 2.0.0

T4 template to generate TypeScript interface definitions

There is a newer version of this package available.
See the version list below for details.
Install-Package T4TS -Version 2.0.0
dotnet add package T4TS --version 2.0.0
<PackageReference Include="T4TS" Version="2.0.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add T4TS --version 2.0.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Release Notes

Breaking changes in config file structure. Sorry about this, but it will make future additions to the config file less breaking.

You can now specify the targeted version of TypeScript. This will help handling breaking changes in the language specification. This release defaults to 0.9.1.1 which is the most current language spec.

Dependencies

This package has no dependencies.

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
2.3.1 14,148 4/14/2015
2.3.0 372 4/14/2015
2.2.0 1,737 7/15/2014
2.1.0 1,534 4/19/2014
2.0.0 2,290 9/20/2013
1.3.0 996 8/29/2013
1.2.0 2,771 4/9/2013
1.1.0 631 11/21/2012
1.0.0 610 11/16/2012
0.11.0 487 11/8/2012
0.1.0 444 11/8/2012